/*
 * This file was generated by the Gradle 'init' task.
 *
 * This project uses @Incubating APIs which are subject to change.
 */

plugins {
    id("net.postchain.rell.codegen.kotlin-application-conventions")
    id("jacoco-report-aggregation")
}

dependencies {
    implementation("org.apache.commons:commons-text")
    implementation(project(":codegen"))
    implementation(project(":codegen-kotlin"))
    implementation(project(":codegen-typescript"))
    implementation(project(":codegen-javascript"))
    implementation(project(":codegen-mermaid"))
    implementation(libs.clikt)
    implementation(libs.rell)
}

application {
    // Define the main class for the application.
    mainClass.set("net.postchain.rell.codegen.app.AppKt")
}

tasks.check {
    dependsOn(tasks.named<JacocoReport>("testCodeCoverageReport"))
}
